Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
New ATI drivers out 7.11 aka 8.43.x
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3, 4, 5  Next  
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
Bloodsurfer
Guru
Guru


Joined: 07 Dec 2005
Posts: 361
Location: Wolfstein, Germany (Rhineland-Palatinate)

PostPosted: Sun Nov 25, 2007 1:57 pm    Post subject: Reply with quote

The new drivers seem to work fine for me, installed them with the ebuild from bugzilla.
Just a question, is xorg-server-1.4 now supported by those drivers? The ebuild seems to be just a copy of the older one, so it still contains the block - but is it still needed?
_________________
SiberianSniper: my girlfriend's name ends with .c
Clete2: Uber geek! W00t! I'd rather have it end in .cpp... <insert name>.cpp
Dralnu: ...why not <name>.o? Then she's ready for linking...
SiberianSniper: or <name>.ko, so she's ready for insertion?
Back to top
View user's profile Send private message
Phlogiston
Veteran
Veteran


Joined: 27 Jan 2004
Posts: 1925
Location: Europe, Swizerland

PostPosted: Sun Nov 25, 2007 2:14 pm    Post subject: Reply with quote

Bloodsurfer wrote:
The new drivers seem to work fine for me, installed them with the ebuild from bugzilla.
Just a question, is xorg-server-1.4 now supported by those drivers? The ebuild seems to be just a copy of the older one, so it still contains the block - but is it still needed?


Apart from aiglx/compiz they should work. Even the version before did.
_________________
Workstation: 5.1 SurroundSound, LIRC remote control; Laptop [IBM-T43]: patched sources, s2disk/ram, fingerprint sensor
Back to top
View user's profile Send private message
Berniyh
l33t
l33t


Joined: 07 Jun 2006
Posts: 677

PostPosted: Sun Nov 25, 2007 2:16 pm    Post subject: Reply with quote

Bloodsurfer wrote:
The new drivers seem to work fine for me, installed them with the ebuild from bugzilla.
Just a question, is xorg-server-1.4 now supported by those drivers? The ebuild seems to be just a copy of the older one, so it still contains the block - but is it still needed?

This and the older 8.42.3 drivers support xorg-server-1.4.
I'm running xorg-server-1.4+ati-drivers-7.11 fine and without problems (at least without problems, that could be related to the xorg-server).
But there have been some problems reported with xorg-server+ati-drivers, especially with AIGLX enabled, but since I don't USE a compositing
WM I don't know the state of that.

The block is there, because some cards aren't supported by ati-drivers-8.42.3 or 7.11 and 8.40.4 doesn't have xorg-server-1.4 support.
Back to top
View user's profile Send private message
Bloodsurfer
Guru
Guru


Joined: 07 Dec 2005
Posts: 361
Location: Wolfstein, Germany (Rhineland-Palatinate)

PostPosted: Sun Nov 25, 2007 2:38 pm    Post subject: Reply with quote

OK, thanks, then I'll remove the block from the ebuild and try it out :)
_________________
SiberianSniper: my girlfriend's name ends with .c
Clete2: Uber geek! W00t! I'd rather have it end in .cpp... <insert name>.cpp
Dralnu: ...why not <name>.o? Then she's ready for linking...
SiberianSniper: or <name>.ko, so she's ready for insertion?
Back to top
View user's profile Send private message
Berniyh
l33t
l33t


Joined: 07 Jun 2006
Posts: 677

PostPosted: Sun Nov 25, 2007 3:24 pm    Post subject: Reply with quote

Phlogiston wrote:
IMHO this is not true with the new drivers:
Code:

 * You have selected support for the SLUB allocator. Suspending is
 * known to be broken with this allocator and ati-drivers. If you
 * need support for Suspend-To-Ram or Suspend-To-Disk, select SLAB
 * instead. To do this enable CONFIG_SLAB and disable CONFIG_SLUB
 * in /usr/src/linux/.config or select
 *       General setup  --->
 *          Choose SLAB allocator (SLUB)  --->
 *             (X) SLAB
 * in 'menuconfig'
>>> Done pkg_setup

I've now compiled a kernel with SLUB and I think it works. I can't really confirm it, because on 2.6.24 I've got another regression (during resume it instantly reboots, which is unrelated to ati-drivers).
Maybe some more people could try it and if they succeed that warning could be removed.
Back to top
View user's profile Send private message
rmh3093
Advocate
Advocate


Joined: 06 Aug 2003
Posts: 2138
Location: Albany, NY

PostPosted: Sun Nov 25, 2007 3:27 pm    Post subject: Reply with quote

Berniyh wrote:
Phlogiston wrote:
IMHO this is not true with the new drivers:
Code:

 * You have selected support for the SLUB allocator. Suspending is
 * known to be broken with this allocator and ati-drivers. If you
 * need support for Suspend-To-Ram or Suspend-To-Disk, select SLAB
 * instead. To do this enable CONFIG_SLAB and disable CONFIG_SLUB
 * in /usr/src/linux/.config or select
 *       General setup  --->
 *          Choose SLAB allocator (SLUB)  --->
 *             (X) SLAB
 * in 'menuconfig'
>>> Done pkg_setup

I've now compiled a kernel with SLUB and I think it works. I can't really confirm it, because on 2.6.24 I've got another regression (during resume it instantly reboots, which is unrelated to ati-drivers).
Maybe some more people could try it and if they succeed that warning could be removed.


I've been using the SLUB allocator since it was introduced in -mm in .22 or .23 and I have been using it with out problems with the fglrx driver, I dont use suspend though...
_________________
Do not meddle in the affairs of wizards, for they are subtle and quick to anger.
Back to top
View user's profile Send private message
Berniyh
l33t
l33t


Joined: 07 Jun 2006
Posts: 677

PostPosted: Sun Nov 25, 2007 4:13 pm    Post subject: Reply with quote

rmh3093 wrote:
I've been using the SLUB allocator since it was introduced in -mm in .22 or .23 and I have been using it with out problems with the fglrx driver, I dont use suspend though...

You shouldn't expect any problems other then suspend/resuming/freezing and such stuff.
Back to top
View user's profile Send private message
Berniyh
l33t
l33t


Joined: 07 Jun 2006
Posts: 677

PostPosted: Mon Nov 26, 2007 12:42 am    Post subject: Reply with quote

Berniyh wrote:
rmh3093 wrote:
I've been using the SLUB allocator since it was introduced in -mm in .22 or .23 and I have been using it with out problems with the fglrx driver, I dont use suspend though...

You shouldn't expect any problems other then suspend/resuming/freezing and such stuff.

Ok, suspend-to-ram does work with SLUB, so I guess the SLUB problem has gone away.

I'll test hibernating, once Nigel fixed the resuming regression.

But maybe someone could confirm it is working, it's always better to have more than one opinion. ;)
Back to top
View user's profile Send private message
c0un7d0wn
n00b
n00b


Joined: 03 Oct 2004
Posts: 10

PostPosted: Mon Nov 26, 2007 4:30 am    Post subject: Reply with quote

suspend-to-ram/hibernate works with SLUB here. I get this after resume:
Code:
[fglrx:firegl_cmmqs_reinit] *ERROR* CMMQS reinitialization is failed.


The memory leak problem is still there. And i get this when i logout and the X reloads:
Code:
BUG: scheduling while atomic: X/0x00000002/11993

Call Trace:
 [<ffffffff8121150a>] schedule+0xdd/0x69d
 [<ffffffff8102a4ff>] __wake_up+0x38/0x4e
 [<ffffffff88277781>] :fglrx:irqmgr_wrap_shutdown+0x101/0x170
 [<ffffffff8826b425>] :fglrx:firegl_takedown+0x65/0xc10
 [<ffffffff8826aca4>] :fglrx:firegl_release+0x104/0x150
 [<ffffffff81088125>] __fput+0xa1/0x16e
 [<ffffffff8108585c>] filp_close+0x5d/0x65
 [<ffffffff810338d1>] put_files_struct+0x66/0xc4
 [<ffffffff81034c47>] do_exit+0x2b5/0x84b
 [<ffffffff882f17e0>] :fglrx:IRQMGR_WorkerThreadRoutine+0x0/0x20
 [<ffffffff8100cb6f>] child_rip+0x11/0x12
 [<ffffffff882f17e0>] :fglrx:IRQMGR_WorkerThreadRoutine+0x0/0x20
 [<ffffffff8825d618>] :fglrx:kasThreadRoutineHelper+0x0/0x16
 [<ffffffff8100cb5e>] child_rip+0x0/0x12
Back to top
View user's profile Send private message
Berniyh
l33t
l33t


Joined: 07 Jun 2006
Posts: 677

PostPosted: Mon Nov 26, 2007 5:10 am    Post subject: Reply with quote

c0un7d0wn wrote:
suspend-to-ram/hibernate works with SLUB here. I get this after resume:
Code:
[fglrx:firegl_cmmqs_reinit] *ERROR* CMMQS reinitialization is failed.

Ok, thanks.
I've got that message, too.

Quote:
Code:
BUG: scheduling while atomic: X/0x00000002/11993

Call Trace:
 [<ffffffff8121150a>] schedule+0xdd/0x69d
 [<ffffffff8102a4ff>] __wake_up+0x38/0x4e
 [<ffffffff88277781>] :fglrx:irqmgr_wrap_shutdown+0x101/0x170
 [<ffffffff8826b425>] :fglrx:firegl_takedown+0x65/0xc10
 [<ffffffff8826aca4>] :fglrx:firegl_release+0x104/0x150
 [<ffffffff81088125>] __fput+0xa1/0x16e
 [<ffffffff8108585c>] filp_close+0x5d/0x65
 [<ffffffff810338d1>] put_files_struct+0x66/0xc4
 [<ffffffff81034c47>] do_exit+0x2b5/0x84b
 [<ffffffff882f17e0>] :fglrx:IRQMGR_WorkerThreadRoutine+0x0/0x20
 [<ffffffff8100cb6f>] child_rip+0x11/0x12
 [<ffffffff882f17e0>] :fglrx:IRQMGR_WorkerThreadRoutine+0x0/0x20
 [<ffffffff8825d618>] :fglrx:kasThreadRoutineHelper+0x0/0x16
 [<ffffffff8100cb5e>] child_rip+0x0/0x12

This is funny, because for me this went away when switch from SLAB to SLUB.
On 8.42.3 I got that with both allocators, but I think at that time I was using
kernel 2.6.23 when I tried SLUB. So it could be related to the new kernel, or
what is more likely, it could be fixed (at least partially) by ATI.
Back to top
View user's profile Send private message
mikkoc
Apprentice
Apprentice


Joined: 24 May 2007
Posts: 231

PostPosted: Tue Nov 27, 2007 5:21 pm    Post subject: Reply with quote

Has anyone tried the official ebuild from portage?
I can't get it to work:
Code:
Building modules, stage 2.
  MODPOST 1 modules
  CC      /var/tmp/portage/x11-drivers/ati-drivers-8.433/work/common/lib/modules/fglrx/build_mod/2.6.x/fglrx.mod.o
  LD [M]  /var/tmp/portage/x11-drivers/ati-drivers-8.433/work/common/lib/modules/fglrx/build_mod/2.6.x/fglrx.ko
make[1]: Leaving directory `/usr/src/linux-2.6.23-gentoo-r2'
 * Building fgl_glxgears
/usr/lib/gcc/x86_64-pc-linux-gnu/4.1.2/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lGL
collect2: ld returned 1 exit status
 *
 * ERROR: x11-drivers/ati-drivers-8.433 failed.
 * Call stack:
 *               ebuild.sh, line 1762:  Called dyn_compile
 *               ebuild.sh, line  891:  Called qa_call 'src_compile'
 *               ebuild.sh, line   35:  Called src_compile
 *             environment, line 3259:  Called die
 * The specific snippet of code:
 *       "$(tc-getCC)" -o fgl_fglxgears ${CFLAGS} ${LDFLAGS} -DUSE_GLU -I"${S}"/common/usr/include fgl_glxgears.c -lGL -lGLU -lX11 -lm || diefunc "$FUNCNAME" "$LINENO" "$?" "fgl_glxgears build failed";
 *  The die message:
 *   fgl_glxgears build failed
Back to top
View user's profile Send private message
Berniyh
l33t
l33t


Joined: 07 Jun 2006
Posts: 677

PostPosted: Tue Nov 27, 2007 5:31 pm    Post subject: Reply with quote

Hm, maybe try it with 'eselect opengl set xorg-x11' before emerging the drivers?
And of course you should try good old revdep-rebuild.

The ebuild works fine for me.
Back to top
View user's profile Send private message
mikkoc
Apprentice
Apprentice


Joined: 24 May 2007
Posts: 231

PostPosted: Tue Nov 27, 2007 5:42 pm    Post subject: Reply with quote

Berniyh wrote:
Hm, maybe try it with 'eselect opengl set xorg-x11' before emerging the drivers?


that did the trick! thanks a lot! :D
Back to top
View user's profile Send private message
aguyfromearth
n00b
n00b


Joined: 18 Apr 2006
Posts: 53
Location: /earth/europe/...

PostPosted: Wed Nov 28, 2007 12:53 am    Post subject: Reply with quote

mayb this sounds stupid, but i didnt found anything

is there still no firegl T1/T2/mobility 9600 support ?

some1 tried it alrdy ?
Back to top
View user's profile Send private message
Berniyh
l33t
l33t


Joined: 07 Jun 2006
Posts: 677

PostPosted: Wed Nov 28, 2007 1:19 am    Post subject: Reply with quote

aguyfromearth wrote:
mayb this sounds stupid, but i didnt found anything

is there still no firegl T1/T2/mobility 9600 support ?

some1 tried it alrdy ?

No firegl yet.
Back to top
View user's profile Send private message
Balancer
Guru
Guru


Joined: 04 Jun 2004
Posts: 465

PostPosted: Wed Nov 28, 2007 11:23 am    Post subject: Reply with quote

I have windows without content on x11-drivers/ati-drivers-8.433 and compiz-fusion-0.6.x

Windows decoration and all effects are ok. Wobbly, desktop cube end etc - all ok. Only windows - without contents :)

[img]http://balancer.ru/cache/img/forums/0711/468x468/compiz-not-windows-contents.png[/img]

My xorg.conf now:
Code:

Section "ServerFlags"
    Option      "AIGLX" "on"
EndSection

...

Section "Device"
    Identifier  "aticonfig-Device[0]"
    Driver      "fglrx"
    Option      "UseFastTLS" "on"
    Option      "backingstore" "true"
    Option      "TexturedVideo" "True"
    Option      "FSAAEnable" "off"
    Option      "FSAAScale" "0"
    Option      "OverlayOnCRTC2" "1"
    Option      "Capabilities" "0x00000800"
    BusID       "PCI:1:0:0"

    Option      "DRI"     "true"
    Option      "XAANoOffscreenPixmaps" "true"

EndSection

...

Section "DRI"
    Group        "video"
    Mode         0666
EndSection

Section "Extensions"
    Option      "Composite" "true"
    Option      "RENDER" "Enable"
    Option      "XVideo" "Enable"
EndSection


(but I was try many option combination).

Direct rendering is "Yes".

glxgears (without runnig compiz) work fine (~9000fps).

Any ideas?
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Thu Nov 29, 2007 2:58 pm    Post subject: Reply with quote

anyone has experienced the same like me?:

from time to time there are driver-releases (this and 8.42.3) where I start X and the screen stays black, the computer / laptop still reacts on input but the display shows nothing - just black

any idea how to "fix" this ?

if already created a new xorg.conf but still the same :(

many thanks in advance
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
Wojtek_
Guru
Guru


Joined: 28 May 2006
Posts: 397
Location: London

PostPosted: Thu Nov 29, 2007 3:06 pm    Post subject: Reply with quote

Hi,
Could anyone explain why the new ebuild is called 8.433? I tried looking up the forums and bugzilla and somehow I don't see any point in it. As far as I know new drivers should be number x.y, where 'x' is the last digit of the current year and 'y' stands for the month number. I am sure that 8.433 is not just an accident so I would be grateful if someone could explain this naming scheme to me.
Cheers,

Wojtek
_________________
Fujitsu-Siemens Amilo Xi-1546
Intel Centrino Duo T2600 (2,16GHz)
2x1GB DDR2 RAM
ATi Mobility Radeon X1800 256MB DDR3
2x120GB HDD
Intel High Definition Audio
Back to top
View user's profile Send private message
Berniyh
l33t
l33t


Joined: 07 Jun 2006
Posts: 677

PostPosted: Thu Nov 29, 2007 3:25 pm    Post subject: Reply with quote

Wojtek_ wrote:
Hi,
Could anyone explain why the new ebuild is called 8.433? I tried looking up the forums and bugzilla and somehow I don't see any point in it. As far as I know new drivers should be number x.y, where 'x' is the last digit of the current year and 'y' stands for the month number. I am sure that 8.433 is not just an accident so I would be grateful if someone could explain this naming scheme to me.
Cheers,

Wojtek

It's the internal version number of the driver.

Code:
sh ati-packager-helper.sh --version
8.433
Back to top
View user's profile Send private message
Wojtek_
Guru
Guru


Joined: 28 May 2006
Posts: 397
Location: London

PostPosted: Sat Dec 01, 2007 10:31 am    Post subject: Reply with quote

-Nile- wrote:
OH NOEZ :lol:
Code:
 * Rebuild x11-base/xorg-server without USE=nptl
 * or AIGLX (compiz, etc.) will not work.
 * This is because of a bug in the Mesa NPTL assembly code
 * in all Mesa 7.0.x versions (Mesa 6.x is OK).


rebuilded[/code] without -nptl and now AIGLX works :)


How did you manage to rebuild it without nptl? As far as I know nptl is now added by default and there is no way to switch it off.
Cheers,

Wojtek
_________________
Fujitsu-Siemens Amilo Xi-1546
Intel Centrino Duo T2600 (2,16GHz)
2x1GB DDR2 RAM
ATi Mobility Radeon X1800 256MB DDR3
2x120GB HDD
Intel High Definition Audio
Back to top
View user's profile Send private message
Insanity5902
Veteran
Veteran


Joined: 23 Jan 2004
Posts: 1228
Location: Fort Worth, Texas

PostPosted: Sat Dec 01, 2007 7:56 pm    Post subject: Reply with quote

add the following to your /etc/portage/package.use and the run emerge -va xorg-server and you should see -nptl

/etc/portage/package.use:

x11-base/xorg-server -nptl

_________________
Join the adopt an unanswered post initiative today
Back to top
View user's profile Send private message
Wojtek_
Guru
Guru


Joined: 28 May 2006
Posts: 397
Location: London

PostPosted: Sat Dec 01, 2007 8:08 pm    Post subject: Reply with quote

That's right - I will see it but it won't mean anything since the flag has become obsolete (-nptl). nptl flag is no longer an option so it is impossible to compile xorg-server without it. Please correct me if I am wrong.
Cheers,

Wojtek
_________________
Fujitsu-Siemens Amilo Xi-1546
Intel Centrino Duo T2600 (2,16GHz)
2x1GB DDR2 RAM
ATi Mobility Radeon X1800 256MB DDR3
2x120GB HDD
Intel High Definition Audio
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Sat Dec 01, 2007 8:13 pm    Post subject: Reply with quote

Wojtek_ wrote:
That's right - I will see it but it won't mean anything since the flag has become obsolete (-nptl). nptl flag is no longer an option so it is impossible to compile xorg-server without it. Please correct me if I am wrong.
Cheers,

Wojtek


not really - it could also be a mask of your current profile, I'm too lazy right now to see if that's the case :roll:
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
brakezone
n00b
n00b


Joined: 29 Aug 2005
Posts: 19

PostPosted: Sun Dec 02, 2007 2:44 am    Post subject: Reply with quote

Hey guys, I have searched and searched and followed guides and wiki's but still cannot get DRI to load up with this new driver.

Aside from this, the 2d works fine. The Dri modules exist as far as I know

Basically i'm running gentoo X64. System is a core 2 duo, Asus P5nE SLI with nvidia 650i chipset, ATI HD3870 512mb video card
So far the fglrx driver works in 2d great with dualhead, but will not load the DRI module.

Code:
./usr/lib32/dri/fglrx_dri.so
./usr/lib64/modules/dri/fglrx_dri.so
./usr/lib64/dri/fglrx_dri.so


also, the symlink exists in the X11R6

Here is the output of grep EE and WW from Xorg.0.log

cat Xorg.0.log | grep EE && cat Xorg.0.log | grep WW
Code:

   (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(II) Loading extension MIT-SCREEN-SAVER
(EE) Failed to load module "dri" (module does not exist, 0)
(EE) fglrx: Failed to load module "dri" (module does not exist, 0)
(EE) fglrx(0): DRI module is not loaded.
(EE) fglrx(1): DRI initialization for 2nd screen failed - aborting!
   (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(WW) The core pointer device wasn't specified explicitly in the layout.
(WW) The core keyboard device wasn't specified explicitly in the layout.
(WW) `fonts.dir' not found (or not valid) in "/usr/share/fonts/util".
(WW) `fonts.dir' not found (or not valid) in "/usr/share/fonts/encodings".
(WW) Open ACPI failed (/var/run/acpid.socket) (No such file or directory)
(WW) Warning, couldn't open module dri
(WW) Warning, couldn't open module dri
(WW) fglrx(0): Failed to load DRI module
(WW) fglrx(0): Cannot resolve drmOpen symbol.
(WW) fglrx(0): No DRM connection for driver fglrx.
(WW) fglrx(0): ***********************************************
(WW) fglrx(0): * DRI initialization failed!                  *
(WW) fglrx(0): * (maybe driver kernel module missing or bad) *
(WW) fglrx(0): * 2D acceleraton available (MMIO)             *
(WW) fglrx(0): * no 3D acceleration available                *
(WW) fglrx(0): ********************************************* *
(WW) fglrx(0): Textured Video not supported without DRI enabled.
(WW) fglrx(0): Option "XAANoOffscreenPixmaps" is not used
(WW) fglrx(0): Option "VendorName" is not used
(WW) fglrx(0): Option "ModelName" is not used
(WW) fglrx(1): DRI initialization on primary screen failed.
(WW) fglrx(1): ***********************************************
(WW) fglrx(1): * DRI initialization failed!                  *
(WW) fglrx(1): * (maybe driver kernel module missing or bad) *
(WW) fglrx(1): * 2D acceleraton available (MMIO)             *
(WW) fglrx(1): * no 3D acceleration available                *
(WW) fglrx(1): ********************************************* *
(WW) fglrx(1): Textured Video not supported without DRI enabled.


Currently it is using mesa's 3d but ati is selectd through E-select.

I've gone through several ATI threads and done quit ea few google searches. Oh ya, here's xorg.conf

Code:
Section "ServerLayout"
   Identifier     "X.Org Configured"
   Screen      0  "aticonfig-Screen[0]" 0 0
   Screen         "aticonfig-Screen[1]" LeftOf "aticonfig-Screen[0]"
EndSection

Section "ServerFlags"
    Option "AIGLX" "on"
EndSection

Section "Files"
   FontPath     "/usr/share/fonts/util"
   FontPath     "/usr/share/fonts/encodings"
   FontPath     "/usr/share/fonts/misc"
   FontPath     "/usr/share/fonts/corefonts"
   FontPath     "/usr/share/fonts/100dpi"
   FontPath     "/usr/share/fonts/75dpi"
EndSection

Section "Module"
   Load  "ddc"
   Load  "vbe"
#   Load  "GLcore"
   Load  "dbe"
   Load  "extmod"
   Load  "glx"
   Load  "bitmap"
   Load  "type1"
   Load  "freetype"
   Load  "record"
   Load  "dri"
EndSection

Section "InputDevice"
   Identifier  "Mouse0"
   Driver      "mouse"
   Option       "Protocol" "Auto"
   Option       "Device" "/dev/input/mice"
EndSection

Section "InputDevice"
   Identifier  "Keyboard0"
   Driver      "kbd"
   Option       "XkbModel" "pc104"
   Option       "XkbLayout" "us"
EndSection

Section "Monitor"

 ### Comment all HorizSync and VertRefresh values to use DDC:
   Identifier   "Monitor0"
   HorizSync    31.5 - 92.0
   VertRefresh  75.0 - 75.0
EndSection

Section "Monitor"
   Identifier   "aticonfig-Monitor[0]"
   Option       "VendorName" "ATI Proprietary Driver"
   Option       "ModelName" "Generic Autodetecting Monitor"
   Option       "DPMS" "true"
EndSection

Section "Monitor"
   Identifier   "aticonfig-Monitor[1]"
   Option       "VendorName" "ATI Proprietary Driver"
   Option       "ModelName" "Generic Autodetecting Monitor"
   Option       "DPMS" "true"
EndSection

Section "Device"

   ### Available Driver options are:-
   # sw_cursor is needed for some ati and radeon cards
   #Option     "sw_cursor"
   #Option     "hw_cursor"
   #Option     "NoAccel"
   #Option     "ShowCache"
   #Option     "ShadowFB"
   #Option     "UseFBDev"
   #Option     "Rotate"
   # The following line is auto-generated by x11-misc/mkxf86config
#   BusID       "PCI:1:0:0"
   Identifier  "aticonfig-Device[0]"
   Driver      "fglrx"
   VendorName  "ati"
   BoardName   "hd3870"
   Card        "** ATI Radeon hd3870"
   BusID       "PCI:1:0:0"
   
   Option      "DRI"       "true"
   Option      "XAANoOffscreenPixmaps" "true"
EndSection

Section "Device"
   Identifier  "aticonfig-Device[1]"
   Driver      "fglrx"
   BusID       "PCI:1:0:0"
   Screen      1
EndSection

Section "Screen"
   Identifier "aticonfig-Screen[0]"
   Device     "aticonfig-Device[0]"
   Monitor    "aticonfig-Monitor[0]"
   DefaultDepth     24
   SubSection "Display"
      Viewport   0 0
      Depth     24
   EndSubSection
EndSection

Section "Screen"
   Identifier "aticonfig-Screen[1]"
   Device     "aticonfig-Device[1]"
   Monitor    "aticonfig-Monitor[1]"
   DefaultDepth     24
   SubSection "Display"
      Viewport   0 0
      Depth     24
   EndSubSection
EndSection

Section "DRI"   
        Group        "video"
   Mode         0666
EndSection

Section "Extensions"
   Option       "Composite" "disable"
   Option      "RENDER"    "Enable"
   Option      "XVideo"    "Enable"
EndSection

_________________
E6300 @ 3.2ghz
Asus P5N-E SLI
2gb OCZ
ATI HD3870
Back to top
View user's profile Send private message
Berniyh
l33t
l33t


Joined: 07 Jun 2006
Posts: 677

PostPosted: Mon Dec 03, 2007 12:28 am    Post subject: Reply with quote

Did you build xorg-server with dri use flag enabled?
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3, 4, 5  Next
Page 3 of 5

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum